Loading...
Searching...
No Matches
utils.h File Reference
SPA » Node

spa/node/utils.h More...

Go to the source code of this file.

## Data Structures

struct | spa_result_node_params_data

## Macros

#define | SPA_API_NODE_UTILS static inline
#define | spa_node_emit(hooks, method, version, ...)
#define | spa_node_emit_info(hooks, ...)
#define | spa_node_emit_port_info(hooks, ...)
#define | spa_node_emit_result(hooks, ...)
#define | spa_node_emit_event(hooks, ...)
#define | spa_node_call(callbacks, method, version, ...)
#define | spa_node_call_ready(hook, ...)
#define | spa_node_call_reuse_buffer(hook, ...)
#define | spa_node_call_xrun(hook, ...)

## Functions

SPA_API_NODE_UTILS void | spa_result_func_node_params (void *data, int seq, int res 1, uint32_t type 1, const void *result)
SPA_API_NODE_UTILS int | spa_node_enum_params_sync (struct spa_node *node, uint32_t id, uint32_t *index, const struct spa_pod *filter, struct spa_pod **param, struct spa_pod_builder *builder)
SPA_API_NODE_UTILS int | spa_node_port_enum_params_sync (struct spa_node *node, enum spa_direction direction, uint32_t port_id, uint32_t id, uint32_t *index, const struct spa_pod *filter, struct spa_pod **param, struct spa_pod_builder *builder)

## Detailed Description

spa/node/utils.h